<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: vertical_news_ticker_panel.php
| Version: 1.0
| Author: jikaka
| Web: www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."vertical_news_ticker_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."vertical_news_ticker_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."vertical_news_ticker_panel/locale/English.php";
}

add_to_head("
<script type='text/javascript' src='".INFUSIONS."vertical_news_ticker_panel/js/jquery.vticker-min.js'></script>
<script type='text/javascript'>
$(function(){
        $('#news-container').vTicker({
		speed: 900,
		pause: 5000,
		animation: 'fade',
		mousePause: true,
		showItems: 3
	});
});
</script>
");

$result = dbquery(
		"SELECT tn.*, tc.*, user_id, user_name FROM ".DB_NEWS." tn
		LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
		LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
		WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
		ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 0,5");

openside($locale['vnt001']);

echo "<div id='news-container'><ul>";
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		echo "<li>".strftime('%d.%m.%Y', $data['news_datestamp']+($settings['timeoffset']*3600))."<br />
		<a href='".BASEDIR."news.php?readmore=".$data['news_id']."'><strong>".trimlink(strip_tags(stripslashes($data['news_subject'])), 50)."</strong></a><br />
		<a href='".BASEDIR."news.php?readmore=".$data['news_id']."'>".trimlink(strip_tags(stripslashes($data['news_news'])), 100)."</a><br /><br />
		<i>".$locale['vnt002']."<a href='".BASEDIR."news_cats.php?cat_id=".$data['news_cat']."'>".$data['news_cat_name']."</a><br />
		".$locale['vnt003']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></i></li>";
	}
}
echo "</ul></div>";

closeside();
?>